Package org.eclipse.lemminx.extensions.xsl

## Class XSLURIResolverExtension

- java.lang.Object
- - org.eclipse.lemminx.extensions.xsl.XSLURIResolverExtension

All Implemented Interfaces:
  `org.apache.xerces.xni.parser.XMLEntityResolver`, `URIResolverExtension`

    public class XSLURIResolverExtension
    extends Object
    implements URIResolverExtension

Resolve the XSL XML Schema to use according the xsl:stylesheet/@version

### Field Summary

### Fields inherited from interface org.eclipse.lemminx.uriresolver.URIResolverExtension

`DEFAULT`

### Constructor Summary

Constructors
`XSLURIResolverExtension​(IXMLDocumentProvider documentProvider)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getName()`
`String` `resolve​(String baseLocation, String publicId, String systemId)`
`org.apache.xerces.xni.parser.XMLInputSource` `resolveEntity​(org.apache.xerces.xni.XMLResourceIdentifier resourceIdentifier)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### XSLURIResolverExtension

    public XSLURIResolverExtension​(IXMLDocumentProvider documentProvider)

### Method Detail

#### getName

    public String getName()

Specified by:
  `getName` in interface `URIResolverExtension`

#### resolve

    public String resolve​(String baseLocation,
                          String publicId,
                          String systemId)

Specified by:
  `resolve` in interface `URIResolverExtension`
Parameters:
  `baseLocation` - - the location of the resource that contains the uri
  `publicId` - - an optional public identifier (i.e. namespace name), or null if none
  `systemId` - - an absolute or relative URI, or null if none
Returns:
  an absolute URI representation of the 'logical' location of the resource

#### resolveEntity

    public org.apache.xerces.xni.parser.XMLInputSource resolveEntity​(org.apache.xerces.xni.XMLResourceIdentifier resourceIdentifier)
                                                              throws org.apache.xerces.xni.XNIException,
                                                                     IOException

Specified by:
  `resolveEntity` in interface `URIResolverExtension`
Specified by:
  `resolveEntity` in interface `org.apache.xerces.xni.parser.XMLEntityResolver`
Throws:
  `org.apache.xerces.xni.XNIException`
  `IOException`